OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GridStats< GridT, StatsT >::NodeStats Struct Reference

`#include <nanovdb/util/GridStats.h>`

## Public Member Functions
| NodeStats ()
NodeStats & | add (const NodeStats &other)

## Public Attributes
StatsT | stats
CoordBBox | bbox

## Constructor & Destructor Documentation

## ◆ NodeStats()

template<typename GridT , typename StatsT = Stats<typename GridT::ValueType>>

NodeStats | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add()

template<typename GridT , typename StatsT = Stats<typename GridT::ValueType>>

NodeStats & add | ( | const NodeStats & | other | ) |
| inline

## Member Data Documentation

## ◆ bbox

template<typename GridT , typename StatsT = Stats<typename GridT::ValueType>>

CoordBBox bbox

## ◆ stats

template<typename GridT , typename StatsT = Stats<typename GridT::ValueType>>

StatsT stats